import 'package:dartweather/dartweather.dart' as dartweather;
import 'package:args/args.dart';
import 'package:license/license.dart';

void main(List<String> arguments) {

  var exitCode = 0;
  final parser = ArgParser()
    ..addOption('zip', abbr: 'z', defaultsTo: '94040')
    ..addOption('country', abbr: 'c', defaultsTo: 'us');

  final argResults = parser.parse(arguments);

  dartweather.weatherCli(argResults['zip'], argResults['country']);

  final licenseData = LicenseData(copyrightHolderName: 'Thien Le');
  print(mit(licenseData));

}
