import 'package:dartweather/src/utils/constants.dart';
import 'package:dartweather/src/models/models.dart';
import 'package:http/http.dart' as http;
import 'dart:convert';
import 'package:meta/meta.dart';

Future<ForeCast> getWeather({@required String zip, String country = 'us'}) async {
  var url = Uri.parse('${BASE_URL}zip=$zip,$country&units=metric${API_KEY_QUERY}');
  var response = await http.get(url);
  var jsonResponse = json.decode(response.body);
  return ForeCast.fromJson(jsonResponse);
}